#ifndef __DCEMIDI_H__
#define __DCEMIDI_H__

#include <mmsystem.h>

// The beginnings of a MIDI class

// MIDI Messages

#define DMM_NOTE_ON		0x90
#define DMM_NOTE_OFF		0x80
#define DMM_PROGRAM		0xc0
#define DMM_CONTROL		0xb0

// MIDI Note numbers

#define DMN_MIDDLE_C		60

#define DMN_C_0			0
#define DMN_C_1			12
#define DMN_C_2			24
#define DMN_C_3			36
#define DMN_C_4			48
#define DMN_C_5			60
#define DMN_C_6			72
#define DMN_C_7			84
#define DMN_C_8			96
#define DMN_C_9			108
#define DMN_C_10		120

#define DMN_G_10		127

#define DMNO_Cs			1
#define DMNO_Db			1
#define DMNO_D			2

// MIDI Controller numbers

#define DMC_MODULATION		1
#define DMC_VOLUME		7
#define DMC_ALL_NOTES_OFF	123

extern void dmidiSendChannelMessage(HMIDIOUT hMidi, BYTE channel, BYTE status,
	BYTE data1, BYTE data2);

#endif
